from deep_translator import GoogleTranslator
import locale

class transprint:
    @staticmethod
    def print(text, lang=None):
        # Detectar idioma del sistema si no se proporciona argumento de idioma
        if lang is None:
            lang = locale.getdefaultlocale()[0][:2]  # Obtiene el idioma del sistema (por ejemplo 'es' o 'en')

        # Traducir el texto al idioma deseado utilizando deep_translator
        translated_text = GoogleTranslator(source='auto', target=lang).translate(text)
        
        # Imprimir el texto traducido
        print(translated_text)
